# Uses of Class
org.apache.lucene.codecs.uniformsplit.FieldMetadata.Serializer

Packages that use FieldMetadata.Serializer
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of FieldMetadata.Serializer in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as FieldMetadata.Serializer
  Modifier and Type
  Field
  Description
  `protected final FieldMetadata.Serializer`
  UniformSplitTermsWriter.`fieldMetadataWriter`
  `static final FieldMetadata.Serializer`
  FieldMetadata.Serializer.`INSTANCE`
  Stateless singleton.
  Methods in org.apache.lucene.codecs.uniformsplit with parameters of type FieldMetadata.Serializer
  Modifier and Type
  Method
  Description
  `protected Collection<FieldMetadata>`
  UniformSplitTermsReader.`readEncodedFieldsMetadata(int numFields, DataInput metadataInput, BlockDecoder blockDecoder, FieldInfos fieldInfos, FieldMetadata.Serializer fieldMetadataReader, int maxNumDocs)`
  `protected Collection<FieldMetadata>`
  UniformSplitTermsReader.`readFieldsMetadata(IndexInput indexInput, BlockDecoder blockDecoder, FieldInfos fieldInfos, FieldMetadata.Serializer fieldMetadataReader, int maxNumDocs)`
  `protected Collection<FieldMetadata>`
  UniformSplitTermsReader.`readUnencodedFieldsMetadata(int numFields, DataInput metadataInput, FieldInfos fieldInfos, FieldMetadata.Serializer fieldMetadataReader, int maxNumDocs)`
  Constructors in org.apache.lucene.codecs.uniformsplit with parameters of type FieldMetadata.Serializer
  Modifier
  Constructor
  Description
  `protected`
  `UniformSplitTermsReader(PostingsReaderBase postingsReader, SegmentReadState state, BlockDecoder blockDecoder, boolean dictionaryOnHeap, FieldMetadata.Serializer fieldMetadataReader, String codecName, int versionStart, int versionCurrent, String termsBlocksExtension, String dictionaryExtension)`
  `protected`
  `UniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder, FieldMetadata.Serializer fieldMetadataWriter, String codecName, int versionCurrent, String termsBlocksExtension, String dictionaryExtension)`

- ## Uses of FieldMetadata.Serializer in org.apache.lucene.codecs.uniformsplit.sharedterms

  Constructors in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type FieldMetadata.Serializer
  Modifier
  Constructor
  Description
  `protected`
  `STUniformSplitTermsReader(PostingsReaderBase postingsReader, SegmentReadState state, BlockDecoder blockDecoder, boolean dictionaryOnHeap, FieldMetadata.Serializer fieldMetadataReader, String codecName, int versionStart, int versionCurrent, String termsBlocksExtension, String dictionaryExtension)`
  `protected`
  `STUniformSplitTermsWriter(PostingsWriterBase postingsWriter, SegmentWriteState state, int targetNumBlockLines, int deltaNumLines, BlockEncoder blockEncoder, FieldMetadata.Serializer fieldMetadataWriter, String codecName, int versionCurrent, String termsBlocksExtension, String dictionaryExtension)`